%define pkg_name        Class-Delegator
%define pkg_version     0.06
%define rpm_pkg_version 0.06
%define rpm_pkg_release 2.n0i.4

Summary:       Simple and fast object-oriented delegation
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DW/DWHEELER/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)


%description
Class::Delegator - Simple and fast object-oriented delegation


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.06-2.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 0.06-1.n0i.3
- version 0.06

* Thu Nov 03 2005 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.2
- version 0.04

* Tue Sep 13 2005 Marius Feraru <altblue@n0i.net> 0.03-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
